package wahlchaos.stoerungen;

import java.io.File;

import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

import org.xml.sax.helpers.DefaultHandler;


public class XMLStoerung extends StimmenStoerung {
	

	public XMLStoerung(int wahlkreise, int parteien, int[][] erst, int[][] zweit, String filename) {
		super(wahlkreise,parteien, erst,zweit);
		
		 // Use an instance of ourselves as the SAX event handler
        DefaultHandler handler = new XMLParser(this);
        // Use the default (non-validating) parser
        SAXParserFactory factory = SAXParserFactory.newInstance();
        try {

            // Parse the input
            SAXParser saxParser = factory.newSAXParser();
            saxParser.parse( new File(filename), handler);

        } catch (Throwable t) {
            t.printStackTrace();
        }
	}

}
