package wahlchaos.stoerungen;

public class StoerungEinzelkreis extends StimmenStoerung {
	public StoerungEinzelkreis(int wahlkreise, int parteien, int[][] erst, int[][] zweit, int kreis, int[] erstAenderung, int[] zweitAenderung) {
		super(wahlkreise,parteien,erst,zweit);
		
		if (erstAenderung!=null) {
			for (int p=0; p<erstAenderung.length; p++) {
				erststimmenStoer[kreis][p] += erstAenderung[p];
			}
		}
		
		if (zweitAenderung!=null) {
			for (int p=0; p<zweitAenderung.length; p++) {
				zweitstimmenStoer[kreis][p] += zweitAenderung[p];
			}
		}
		
		name = "Stoerung in Kreis " + kreis;
	}
}
