package wahlchaos.stoerungen;

import wahlchaos.Bundestagswahl;

public class StoerungGesamt extends StimmenStoerung {
	public StoerungGesamt(int wahlkreise, int parteien, int[][] erst, int[][] zweit) {
		super(wahlkreise,parteien,erst,zweit);
		
		for (int w=0;w<wahlkreise;w++) {
			// 5 prozent mehr
			erststimmenStoer[w][Bundestagswahl.CDU] = erststimmenOrginal[w][Bundestagswahl.CDU] / 20;
			zweitstimmenStoer[w][Bundestagswahl.CDU] = zweitstimmenOrginal[w][Bundestagswahl.CDU] / 20;
		}
		
		name = "Gesamt (5% CDU)";
	}
}
