package wahlchaos.stoerungen;

import wahlchaos.Bundestagswahl;

public class StoerungZufallKreis extends StimmenStoerung {
	//private final static double prozent = 0.15;
	private final static double prozent = 0.05;
	
	protected int kreis;
	
	public StoerungZufallKreis(int wahlkreise, int parteien, int[][] erst, int[][] zweit, int _kreis) {
		super(wahlkreise,parteien,erst,zweit);
		this.kreis = _kreis;
		
		stoereKreis(kreis,prozent);
		
		/*System.out.println(" ---[");
		for(int p=0;p<=Bundestagswahl.PDS;p++) {
			System.out.println( zweitstimmenStoer[kreis][p] + " / " + zweitstimmenOrginal[kreis][p]);
		}
		System.out.println(" ]---");*/
		
		name = "Zufallsstoerung in Kreis " + kreis;
	}
	
	public String getDetails() {
		StringBuffer det = new StringBuffer();
		for (int p=0; p<=Bundestagswahl.PDS; p++) {
			det.append(erststimmenStoer[kreis][p]);
			det.append(" | ");
		}
		det.append("\n");
		for (int p=0; p<=Bundestagswahl.PDS; p++) {
			det.append(zweitstimmenStoer[kreis][p]);
			det.append(" | ");
		}
		return det.toString();
	}
}
