package wahlchaos.verteilungen;

public class HareNiemeyer extends VerteilungsVerfahren {
	protected void init() {
		this.name = "Hare-Niemeyer";
	}
	
	//@Override
	public int[] berechneSitze() {
		int anzahlTotal = 0;		
		for (int s : stimmen) anzahlTotal += s;
		
		double[] mandateKomma = new double[stimmen.length];
		int[] mandateSicher = new int[stimmen.length];
		int mandateSicherSumme = 0;
		for (int i=0;i<stimmen.length; i++) {
			mandateKomma[i] = (double) mandate * stimmen[i] / anzahlTotal;
			mandateSicher[i] = (int) Math.floor(mandateKomma[i]);
			mandateSicherSumme += mandateSicher[i];
		}
		
		while (mandate > mandateSicherSumme) {
			double maxRest = 0;
			int maxPartei = 0;		
			for (int i=0;i<stimmen.length; i++) {
				if (mandateKomma[i]-mandateSicher[i]>maxRest) {
					maxRest = mandateKomma[i]-mandateSicher[i];
					maxPartei = i;
				}
			}
			mandateSicher[maxPartei]++;
			mandateKomma[maxPartei] = 0;
			mandateSicherSumme++;
		}
		
		return mandateSicher;
	}
}
