package wahlchaos.verteilungen;

public abstract class VerteilungsVerfahren {
	protected int[] stimmen;
	protected int mandate;
	protected String name;
	
	public void setzeDaten(int[] _stimmen, int _mandate) {
		this.stimmen = _stimmen;
		this.mandate = _mandate;
		init();
	}
	
	protected abstract void init();
	public abstract int[] berechneSitze();
	
	public String getName() {
		return this.name;
	}
}
